﻿using IRaCIS.Core.Application.Contracts;
using IRaCIS.Core.Application.Service.Inspection.DTO;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Application.Service.Inspection.Interface
{
    public interface IInspectionService
    {

        Task<PageOutput<GetDataInspectionOutDto>> GetInspectionData(GetDataInspectionDto dto);

        string AddJsonItem(string json, Dictionary<string, object> keyValues);
        void MapData(dynamic data, dynamic mapData);

        Task<IResponseOutput> VerifySignatureAsync(SignDTO signDTO);

        Task<Guid> AddSignRecordAsync(SignDTO signDTO);

         Task RecordSing(SignDTO SignInfo);
        Task<dynamic> Enforcement(dynamic OptCommand, DataInspectionAddDTO AuditInfo, SignDTO SignInfo, dynamic fun, IResponseOutput? response = null);

     
    }
}
